NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Assemblies.AddComponentBuilder Class Reference

Represents a builder class that performs add existing component operation in current context. More...

Inheritance diagram for NXOpen.Assemblies.AddComponentBuilder:
NXOpen.Builder NXOpen.IAttributeSourceObjectBuilder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CamComponentType { Target, Resource, Workpiece }
 Represents CAM component type that can be present during add component in manufacturing mode More...
 
enum  LocationType { Snap, WorkPartAbsolute, DisplayedPartAbsolute, DisplayedPartWCS }
 Represents initial location type that can be present during add component More...
 

Public Member Functions

unsafe NXOpen.ErrorList AutoAssignAttributes (NXOpen.NXObject[] objects)
 Auto assigns the attributes for a given array of objects and returns an array of objects that failed to auto assign. More...
 
unsafe NXOpen.ErrorList AutoAssignAttributesWithNamingPattern (NXOpen.NXObject[] objects, NXOpen.NXObject[] properties)
 Auto assigns the attributes for a given object and returns an array of objects that failed to auto assign. More...
 
unsafe NXOpen.NXObject CreateAttributeTitleToNamingPatternMap (string[] attributeTitles, string[] titlePatterns)
 Creates a map object of attribute titles to their corresponding naming pattern More...
 
unsafe void GetAllProductInterfaceObjects (out NXOpen.Assemblies.ProductInterface.InterfaceObject[] productInterfaceObjects)
 Returns all product interface objects available, one of these can be used as component anchor More...
 
unsafe
NXOpen.Assemblies.AddComponentBuilder.CamComponentType 
GetCamComponentType ()
 Get the CAM component type during add component. More...
 
unsafe
NXOpen.Assemblies.ProductInterface.InterfaceObject 
GetComponentAnchor ()
 Returns the component anchor used for adding component More...
 
unsafe int GetCount ()
 Gets the number of components to be added. More...
 
unsafe void GetInitialLocationAndOrientation (out NXOpen.Point initialLocation, out NXOpen.CoordinateSystem initialOrientation)
 Returns the location and orientation used for adding component More...
 
unsafe
NXOpen.Assemblies.AddComponentBuilder.LocationType 
GetInitialLocationType ()
 Get the initial location type during add component. More...
 
unsafe bool GetKeepConstraintsOption ()
 Gets the keep constraints option for added components. More...
 
unsafe void GetLogicalObjects (out NXOpen.PDM.LogicalObject[] logicalObjects)
 Returns the pre-creation objects More...
 
unsafe void GetLogicalObjectsHavingUnassignedRequiredAttributes (out NXOpen.PDM.LogicalObject[] logicalObjects)
 Returns the pre-creation objects which have unassign required attributes More...
 
unsafe NXOpen.ErrorList GetOperationFailures ()
 Returns add component operation failures More...
 
unsafe void GetPartsToAdd (out NXOpen.BasePart[] partsToUse)
 Returns the parts to be used for adding components More...
 
unsafe bool GetScatterOption ()
 Gets the scatter option for added components. More...
 
unsafe void OrientToWCS ()
 Orient added components to the WCS More...
 
unsafe void RemoveAddedComponents ()
 Removes the components added through add component More...
 
unsafe void RemovePartsFromSelection (NXOpen.BasePart[] partsToRemove)
 Removes the specified parts from the selected parts list More...
 
unsafe void ResetToSnapped ()
 Resets the component to snapped position and orientation More...
 
unsafe void ReverseZDirection ()
 Reverse the Z direction of added components More...
 
unsafe void RotateAlongZDirection ()
 Rotate added components along Z direction by 90 degrees More...
 
unsafe void SetCamComponentType (NXOpen.Assemblies.AddComponentBuilder.CamComponentType camCompType)
 Set the CAM component type during add component. More...
 
unsafe void SetComponentAnchor (NXOpen.Assemblies.ProductInterface.InterfaceObject componentAnchor)
 Sets the component anchor to be used for adding component More...
 
unsafe void SetCount (int count)
 Sets the number of components to be added. More...
 
unsafe void SetInitialLocationAndOrientation (NXOpen.Point initialLocation, NXOpen.CoordinateSystem initialOrientation)
 Sets the location and orientation to be used for adding component. More...
 
unsafe void SetInitialLocationAndOrientation (NXOpen.Point3d point, NXOpen.Matrix3x3 orientation)
 Sets the location and orientation to be used for add component. More...
 
unsafe void SetInitialLocationType (NXOpen.Assemblies.AddComponentBuilder.LocationType locationType)
 Set the initial location type during add component. More...
 
unsafe void SetKeepConstraintsOption (bool keepConstraintsOption)
 Sets the keep constraints option for added components. More...
 
unsafe void SetPartsToAdd (NXOpen.BasePart[] partsToUse)
 Sets the parts to be used for adding components More...
 
unsafe void SetPendingInstance (NXOpen.NXObject pendingInstance)
 Sets the allocate pending instance at time of instance creation for manage pending component. More...
 
unsafe void SetScatterOption (bool scatterOption)
 Sets the scatter option for added components. More...
 
unsafe void SetSynchDisplayProperties (bool synchDisplayProperties)
 Sets the option to synchronize display properties with the component to be added More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe string ComponentName [get, set]
 Returns or sets the component name for added components. More...
 
unsafe string DesignElementType [get, set]
 Returns or sets the type of a add component More...
 
unsafe NXOpen.FileNew FileNewDescriptor [get]
 Returns the file new descriptor to identify an added component in 4GD More...
 
unsafe int Layer [get, set]
 Returns or sets the layer for added components. More...
 
unsafe string ReferenceSet [get, set]
 Returns or sets the reference set for added components. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a builder class that performs add existing component operation in current context.

Context can be Assembly or 4GD.

To create a new instance of this class, use NXOpen.Assemblies.AssemblyManager.CreateAddComponentBuilder

Created in NX12.0.0

Member Enumeration Documentation

Represents CAM component type that can be present during add component in manufacturing mode

Enumerator
Target 

Target type

Resource 

Resource type

Workpiece 

Workpiece type

Represents initial location type that can be present during add component

Enumerator
Snap 

Snap as initial location type

WorkPartAbsolute 

Absolute of work part as initial location type

DisplayedPartAbsolute 

Absolute of displayed part as initial location type

DisplayedPartWCS 

WCS as initial location type

Member Function Documentation

unsafe NXOpen.ErrorList NXOpen.Assemblies.AddComponentBuilder.AutoAssignAttributes ( NXOpen.NXObject[]  objects)
inline

Auto assigns the attributes for a given array of objects and returns an array of objects that failed to auto assign.

Created in NX8.5.0

License requirements: None.

Parameters
objects
Returns

Implements NXOpen.IAttributeSourceObjectBuilder.

unsafe NXOpen.ErrorList NXOpen.Assemblies.AddComponentBuilder.AutoAssignAttributesWithNamingPattern ( NXOpen.NXObject[]  objects,
NXOpen.NXObject[]  properties 
)
inline

Auto assigns the attributes for a given object and returns an array of objects that failed to auto assign.

properties needs to be created using CreateAttributeTitleToNamingPatternMap

Created in NX12.0.0

License requirements: None.

Parameters
objects
properties
Returns

Implements NXOpen.IAttributeSourceObjectBuilder.

unsafe NXOpen.NXObject NXOpen.Assemblies.AddComponentBuilder.CreateAttributeTitleToNamingPatternMap ( string[]  attributeTitles,
string[]  titlePatterns 
)
inline

Creates a map object of attribute titles to their corresponding naming pattern

Created in NX12.0.0

License requirements: None.

Parameters
attributeTitles
titlePatterns
Returns

Implements NXOpen.IAttributeSourceObjectBuilder.

unsafe void NXOpen.Assemblies.AddComponentBuilder.GetAllProductInterfaceObjects ( out NXOpen.Assemblies.ProductInterface.InterfaceObject[]  productInterfaceObjects)
inline

Returns all product interface objects available, one of these can be used as component anchor

Created in NX12.0.0

License requirements: None.

Parameters
productInterfaceObjects
unsafe NXOpen.Assemblies.AddComponentBuilder.CamComponentType NXOpen.Assemblies.AddComponentBuilder.GetCamComponentType ( )
inline

Get the CAM component type during add component.

Created in NX12.0.2

License requirements: None.

Returns
unsafe NXOpen.Assemblies.ProductInterface.InterfaceObject NXOpen.Assemblies.AddComponentBuilder.GetComponentAnchor ( )
inline

Returns the component anchor used for adding component

Created in NX12.0.0

License requirements: None.

Returns
unsafe int NXOpen.Assemblies.AddComponentBuilder.GetCount ( )
inline

Gets the number of components to be added.

Created in NX12.0.0

License requirements: None.

Returns
unsafe void NXOpen.Assemblies.AddComponentBuilder.GetInitialLocationAndOrientation ( out NXOpen.Point  initialLocation,
out NXOpen.CoordinateSystem  initialOrientation 
)
inline

Returns the location and orientation used for adding component

Created in NX12.0.0

License requirements: None.

Parameters
initialLocation
initialOrientation
unsafe NXOpen.Assemblies.AddComponentBuilder.LocationType NXOpen.Assemblies.AddComponentBuilder.GetInitialLocationType ( )
inline

Get the initial location type during add component.

Created in NX12.0.0

License requirements: None.

Returns
unsafe bool NXOpen.Assemblies.AddComponentBuilder.GetKeepConstraintsOption ( )
inline

Gets the keep constraints option for added components.

Created in NX12.0.0

License requirements: None.

Returns
unsafe void NXOpen.Assemblies.AddComponentBuilder.GetLogicalObjects ( out NXOpen.PDM.LogicalObject[]  logicalObjects)
inline

Returns the pre-creation objects

Created in NX12.0.0

License requirements: None.

Parameters
logicalObjects
unsafe void NXOpen.Assemblies.AddComponentBuilder.GetLogicalObjectsHavingUnassignedRequiredAttributes ( out NXOpen.PDM.LogicalObject[]  logicalObjects)
inline

Returns the pre-creation objects which have unassign required attributes

Created in NX12.0.0

License requirements: None.

Parameters
logicalObjects
unsafe NXOpen.ErrorList NXOpen.Assemblies.AddComponentBuilder.GetOperationFailures ( )
inline

Returns add component operation failures

Created in NX12.0.0

License requirements: None.

Returns
unsafe void NXOpen.Assemblies.AddComponentBuilder.GetPartsToAdd ( out NXOpen.BasePart[]  partsToUse)
inline

Returns the parts to be used for adding components

Created in NX12.0.0

License requirements: None.

Parameters
partsToUse
unsafe bool NXOpen.Assemblies.AddComponentBuilder.GetScatterOption ( )
inline

Gets the scatter option for added components.

Created in NX12.0.0

License requirements: None.

Returns
unsafe void NXOpen.Assemblies.AddComponentBuilder.OrientToWCS ( )
inline

Orient added components to the WCS

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe void NXOpen.Assemblies.AddComponentBuilder.RemoveAddedComponents ( )
inline

Removes the components added through add component

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe void NXOpen.Assemblies.AddComponentBuilder.RemovePartsFromSelection ( NXOpen.BasePart[]  partsToRemove)
inline

Removes the specified parts from the selected parts list

Created in NX1847.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
partsToRemove
unsafe void NXOpen.Assemblies.AddComponentBuilder.ResetToSnapped ( )
inline

Resets the component to snapped position and orientation

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe void NXOpen.Assemblies.AddComponentBuilder.ReverseZDirection ( )
inline

Reverse the Z direction of added components

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe void NXOpen.Assemblies.AddComponentBuilder.RotateAlongZDirection ( )
inline

Rotate added components along Z direction by 90 degrees

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

unsafe void NXOpen.Assemblies.AddComponentBuilder.SetCamComponentType ( NXOpen.Assemblies.AddComponentBuilder.CamComponentType  camCompType)
inline

Set the CAM component type during add component.

Created in NX12.0.2

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
camCompType
unsafe void NXOpen.Assemblies.AddComponentBuilder.SetComponentAnchor ( NXOpen.Assemblies.ProductInterface.InterfaceObject  componentAnchor)
inline

Sets the component anchor to be used for adding component

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
componentAnchor
unsafe void NXOpen.Assemblies.AddComponentBuilder.SetCount ( int  count)
inline

Sets the number of components to be added.

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
count
unsafe void NXOpen.Assemblies.AddComponentBuilder.SetInitialLocationAndOrientation ( NXOpen.Point  initialLocation,
NXOpen.CoordinateSystem  initialOrientation 
)
inline

Sets the location and orientation to be used for adding component.

Orientation is optional and user can pass a null reference (Nothing in Visual Basic).

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
initialLocation
initialOrientation
unsafe void NXOpen.Assemblies.AddComponentBuilder.SetInitialLocationAndOrientation ( NXOpen.Point3d  point,
NXOpen.Matrix3x3  orientation 
)
inline

Sets the location and orientation to be used for add component.

Orientation is optional and user can pass a null reference (Nothing in Visual Basic).

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
point
orientation
unsafe void NXOpen.Assemblies.AddComponentBuilder.SetInitialLocationType ( NXOpen.Assemblies.AddComponentBuilder.LocationType  locationType)
inline

Set the initial location type during add component.

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
locationType
unsafe void NXOpen.Assemblies.AddComponentBuilder.SetKeepConstraintsOption ( bool  keepConstraintsOption)
inline

Sets the keep constraints option for added components.

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
keepConstraintsOption
unsafe void NXOpen.Assemblies.AddComponentBuilder.SetPartsToAdd ( NXOpen.BasePart[]  partsToUse)
inline

Sets the parts to be used for adding components

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
partsToUse
unsafe void NXOpen.Assemblies.AddComponentBuilder.SetPendingInstance ( NXOpen.NXObject  pendingInstance)
inline

Sets the allocate pending instance at time of instance creation for manage pending component.

Created in NX1899.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
pendingInstance
unsafe void NXOpen.Assemblies.AddComponentBuilder.SetScatterOption ( bool  scatterOption)
inline

Sets the scatter option for added components.

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
scatterOption
unsafe void NXOpen.Assemblies.AddComponentBuilder.SetSynchDisplayProperties ( bool  synchDisplayProperties)
inline

Sets the option to synchronize display properties with the component to be added

Created in NX12.0.0

License requirements: assemblies ("ASSEMBLIES MODULE")

Parameters
synchDisplayProperties

Property Documentation

unsafe string NXOpen.Assemblies.AddComponentBuilder.ComponentName
getset

Returns or sets the component name for added components.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe string NXOpen.Assemblies.AddComponentBuilder.DesignElementType
getset

Returns or sets the type of a add component

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_4gd_integration ("4th Generation Design")

unsafe NXOpen.FileNew NXOpen.Assemblies.AddComponentBuilder.FileNewDescriptor
get

Returns the file new descriptor to identify an added component in 4GD

Created in NX12.0.0

License requirements: None.

unsafe int NXOpen.Assemblies.AddComponentBuilder.Layer
getset

Returns or sets the layer for added components.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")

unsafe string NXOpen.Assemblies.AddComponentBuilder.ReferenceSet
getset

Returns or sets the reference set for added components.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: assemblies ("ASSEMBLIES MODULE")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.